summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2013-02-24 23:30:02 +0000
committerPacho Ramos <pacho@gentoo.org>2013-02-24 23:30:02 +0000
commitf4252b45c84a7e85b11ae6474423504f63a3df03 (patch)
treed8455ec55db320c6b375ae46a47b53196fa3ffac /eclass/emul-linux-x86.eclass
parentRemove /usr/include headers (diff)
downloadgentoo-2-f4252b45c84a7e85b11ae6474423504f63a3df03.tar.gz
gentoo-2-f4252b45c84a7e85b11ae6474423504f63a3df03.tar.bz2
gentoo-2-f4252b45c84a7e85b11ae6474423504f63a3df03.zip
Allow headers installation, bug #458784
Diffstat (limited to 'eclass/emul-linux-x86.eclass')
-rw-r--r--eclass/emul-linux-x86.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/emul-linux-x86.eclass b/eclass/emul-linux-x86.eclass
index 2f0257da2c1c..e76d6af68cd8 100644
--- a/eclass/emul-linux-x86.eclass
+++ b/eclass/emul-linux-x86.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.17 2013/02/24 16:31:35 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.18 2013/02/24 23:30:02 pacho Exp $
#
# Original Author: Mike Doty <kingtaco@gentoo.org>
@@ -37,7 +37,7 @@ RDEPEND=""
emul-linux-x86_src_prepare() {
ALLOWED=${ALLOWED:-^${S}/etc/env.d}
use development && ALLOWED="${ALLOWED}|/usr/lib32/pkgconfig"
- find "${S}" ! -type d ! '(' -name '*.so' -o -name '*.so.[0-9]*' ')' | egrep -v "${ALLOWED}" | xargs -d $'\n' rm -f || die 'failed to remove everything but *.so*'
+ find "${S}" ! -type d ! '(' -name '*.so' -o -name '*.so.[0-9]*' -o -name '*.h' ')' | egrep -v "${ALLOWED}" | xargs -d $'\n' rm -f || die 'failed to remove everything but *.so*'
}
emul-linux-x86_src_install() {